Project

General

Profile

Bug #2129

`require': no such file to load -- redcarpet in development env

Added by Dominic Cleal over 9 years ago. Updated over 9 years ago.

Status:
Closed
Priority:
Low
Assignee:
Category:
Packaging
Target version:
Difficulty:
Triaged:
No
Bugzilla link:
Pull request:
Fixed in Releases:
Found in Releases:

Description

When running Foreman in the development environment, it will throw this error:

/usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:242:in `require': no such file to load -- redcarpet (LoadError)
from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:242:in `require'
from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:225:in `load_dependency'
from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:597:in `new_constants_in'
from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:225:in `load_dependency'
from /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.17/lib/active_support/dependencies.rb:242:in `require'
from /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.13/lib/apipie/markup.rb:22:in `initialize'
from /usr/share/foreman/config/initializers/apipie.rb:13:in `new'

The apipie initialiser is causing redcarpet to be required if the RAILS_ENV is development. We only provide the gem and bundler.d/development.rb in foreman-development though, but it should really be possible to run in RAILS_ENV=development without requiring all "development" related gems.

Associated revisions

Revision 612e730a (diff)
Added by Dominic Cleal over 9 years ago

fixes #2129 - only use markdown if redcarpet available

History

#1 Updated by Dominic Cleal over 9 years ago

  • Status changed from New to Ready For Testing

#2 Updated by Ohad Levy over 9 years ago

  • Target version set to 1.1

#3 Updated by Dominic Cleal over 9 years ago

  • Status changed from Ready For Testing to Closed
  • % Done changed from 0 to 100

Also available in: Atom PDF